osmium::TagList Class Reference

`#include <tag.hpp>`

Inheritance diagram for osmium::TagList:
[legend]
Collaboration diagram for osmium::TagList:
[legend]

## Public Types

typedef size_t | size_type
Public Types inherited from osmium::memory::Collection< Tag, osmium::item_type::tag_list >
typedef CollectionIterator< Tag > | iterator
typedef CollectionIterator< const Tag > | const_iterator
typedef Tag | value_type

## Public Member Functions

| TagList ()
size_type | size () const noexcept
const char * | get_value_by_key (const char *key, const char *default_value=nullptr) const noexcept
const char * | operator[] (const char *key) const noexcept
Public Member Functions inherited from osmium::memory::Collection< Tag, osmium::item_type::tag_list >
| Collection ()
bool | empty () const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const
Public Member Functions inherited from osmium::memory::Item
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (bool removed) noexcept

## Additional Inherited Members

Static Public Attributes inherited from osmium::memory::Collection< Tag, osmium::item_type::tag_list >
static constexpr osmium::item_type | itemtype
Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type()) noexcept
| Item (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (const Item &)=delete
Item & | operator= (Item &&)=delete
Item & | set_type (const item_type item_type) noexcept

## Member Typedef Documentation

typedef size_t osmium::TagList::size_type

## Constructor & Destructor Documentation

osmium::TagList::TagList | ( |  | ) |

inline

## Member Function Documentation

const char* osmium::TagList::get_value_by_key | ( | const char * | key,
|  | const char * | default_value = `nullptr`
| ) |  | const

inline noexcept

const char* osmium::TagList::operator[] | ( | const char * | key | ) | const

inline noexcept

size_type osmium::TagList::size | ( |  | ) | const

inline noexcept

The documentation for this class was generated from the following file:

- osmium/osm/tag.hpp